Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.servlet
Class RemoteServletContextFactory

    java.lang.Object
      php.java.bridge.http.SimpleContextFactory
          php.java.servlet.ServletContextFactory
              php.java.servlet.RemoteServletContextFactory

All Implemented Interfaces:
  IContextFactory, IContextFactoryVisitor

    public class RemoteServletContextFactory

extends ServletContextFactory

Create session contexts for servlets.

In addition to the standard ContextFactory this manager keeps a reference to the HttpServletRequest.

See Also:
  `ContextFactory`, `ContextServer`

Method Summary
`static ServletContextFactory` | `addNew(javax.servlet.Servlet servlet, javax.servlet.ServletContext kontext, javax.servlet.http.HttpServletRequest proxy, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Create and add a new ContextFactory.
`IContext` | `createContext()` Return an emulated JSR223 context.
`ISession` | `getSession(java.lang.String name, boolean clientIsNew, int timeout)`
`void` | `setSession(javax.servlet.http.HttpServletRequest req)` Set the HttpServletRequest for session sharing.

Methods inherited from class php.java.servlet.ServletContextFactory
`destroy, toString`

Methods inherited from class php.java.bridge.http.SimpleContextFactory
`getBridge, getContext, getId, recycle, recycle, remove, removeOrphaned, setBridge, setContext, visit, waitFor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setSession

    public void setSession(javax.servlet.http.HttpServletRequest req)

  Set the HttpServletRequest for session sharing.

  Overrides:
    `setSession` in class `ServletContextFactory`
  Parameters:
    `req` - The HttpServletRequest
  See Also:
    `setSession(HttpServletRequest)`

### getSession

    public ISession getSession(java.lang.String name,
                               boolean clientIsNew,
                               int timeout)

  Specified by:
    `getSession` in interface `IContextFactory`
  Overrides:
    `getSession` in class `ServletContextFactory`
  Parameters:
    `name` - The session name. If name is null, the name PHPSESSION will be used.
    `clientIsNew` - true if the client wants a new session
    `timeout` - timeout in seconds. If 0 the session does not expire.
  Returns:
    The session
  See Also:
    `ISession`

### addNew

    public static ServletContextFactory addNew(javax.servlet.Servlet servlet,
                                               javax.servlet.ServletContext kontext,
                                               javax.servlet.http.HttpServletRequest proxy,
                                               javax.servlet.http.HttpServletRequest req,
                                               javax.servlet.http.HttpServletResponse res)

  Create and add a new ContextFactory.

  Parameters:
    `req` - The HttpServletRequest
    `res` - The HttpServletResponse
  Returns:
    The created ContextFactory

### createContext

    public IContext createContext()

  Return an emulated JSR223 context.

  Overrides:
    `createContext` in class `ServletContextFactory`
  Returns:
    The context.
  See Also:
    `php.java.faces.PhpFacesScriptContextFactory#getContext()`, `Context`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD